package main

type AppConfig struct {
	*WatchingConfig `mapstructure:"watching"`
	*MinIoConfig    `mapstructure:"minio"`
}

type WatchingConfig struct {
	Dir                string `mapstructure:"dir"`
	TmpDir             string `mapstructure:"tmpDir"`
	UploadFileInterval int32  `mapstructure:"uploadFileInterval"`
}

type MinIoConfig struct {
	Addr            string `mapstructure:"addr"`
	Bucket          string `mapstructure:"bucket"`
	AccessKeyID     string `mapstructure:"accessKeyID"`
	SecretAccessKey string `mapstructure:"secretAccessKey"`
	UseSSL          bool   `mapstructure:"useSSL"`
}
